/*exported HomeSlider*/
/*global WrapperController, SliderCarousel */

function HomeSlider() {
    'use strict';
    this.navigator = new SliderCarousel();
    this.navigatorWide = false;
    this.topNavPosition = false;
    this.slidesWide = false;
    this.carouselInterval = 3000; // default value

    WrapperController.make(this, HomeSlider);
}

HomeSlider.prototype.beforeBuild = function beforeBuild() {
    'use strict';

    this.find('navigator').prop('_parentSelector', this.prop('selector'));
};